Package fr.gouv.vitam.common.model.objectgroup

# Class PhysicalDimensionsModel

java.lang.Object
fr.gouv.vitam.common.model.objectgroup.PhysicalDimensionsModel

public class PhysicalDimensionsModel extends Object
PhysicalDimensions for physical Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Map<String,Object>`
  `any`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PhysicalDimensionsModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,Object>`
  `getAny()`
  `MeasurementModel`
  `getDepth()`
  `MeasurementModel`
  `getDiameter()`
  `MeasurementModel`
  `getHeight()`
  `MeasurementModel`
  `getLength()`
  `Integer`
  `getNumberOfPage()`
  `String`
  `getShape()`
  `MeasurementModel`
  `getThickness()`
  `MeasurementModel`
  `getWeight()`
  `MeasurementModel`
  `getWidth()`
  `void`
  `setAny(Map<String,Object> any)`
  `void`
  `setDepth(MeasurementModel depth)`
  `void`
  `setDiameter(MeasurementModel diameter)`
  `void`
  `setHeight(MeasurementModel height)`
  `void`
  `setLength(MeasurementModel length)`
  `void`
  `setNumberOfPage(Integer numberOfPage)`
  `void`
  `setShape(String shape)`
  `void`
  `setThickness(MeasurementModel thickness)`
  `void`
  `setWeight(MeasurementModel weight)`
  `void`
  `setWidth(MeasurementModel width)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### any

    protected Map<String,Object> any

- ## Constructor Details

  - ### PhysicalDimensionsModel

    public PhysicalDimensionsModel()

- ## Method Details

  - ### getWidth

    public MeasurementModel getWidth()

  - ### setWidth

    public void setWidth(MeasurementModel width)

  - ### getHeight

    public MeasurementModel getHeight()

  - ### setHeight

    public void setHeight(MeasurementModel height)

  - ### getDepth

    public MeasurementModel getDepth()

  - ### setDepth

    public void setDepth(MeasurementModel depth)

  - ### getShape

    public String getShape()

  - ### setShape

    public void setShape(String shape)

  - ### getDiameter

    public MeasurementModel getDiameter()

  - ### setDiameter

    public void setDiameter(MeasurementModel diameter)

  - ### getLength

    public MeasurementModel getLength()

  - ### setLength

    public void setLength(MeasurementModel length)

  - ### getThickness

    public MeasurementModel getThickness()

  - ### setThickness

    public void setThickness(MeasurementModel thickness)

  - ### getWeight

    public MeasurementModel getWeight()

  - ### setWeight

    public void setWeight(MeasurementModel weight)

  - ### getNumberOfPage

    public Integer getNumberOfPage()

  - ### setNumberOfPage

    public void setNumberOfPage(Integer numberOfPage)

  - ### getAny

    public Map<String,Object> getAny()

  - ### setAny

    public void setAny(Map<String,Object> any)